<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <modelVersion>4.0.0</modelVersion>

  <groupId>de.fim.uni_passau.information_extraction</groupId>
  <artifactId>discourse_simplification</artifactId>
  <version>3.0.0-SNAPSHOT</version>
  <packaging>jar</packaging>
  
  <name>discourse_simplification</name>
  <url>http://maven.apache.org</url>

  <description>Discourse Simplification</description>
    
  <properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <!-- Versions configuration -->
    <jdk.version>1.8</jdk.version>
    <junit.version>4.12</junit.version>
    <slf4j.version>1.7.21</slf4j.version>
    <logback.version>1.1.7</logback.version>
    <stanford.version>3.6.0</stanford.version>
    <sentsim.version>3.0.1</sentsim.version>
    <wikipedia.version>1.1</wikipedia.version>

  </properties>

  <dependencies>

    <!-- Sentence Simplification -->
    <dependency>
      <groupId>org.lambda3.simplification</groupId>
      <artifactId>sentence_simplification</artifactId>
      <version>${sentsim.version}</version>
    </dependency>

    <!-- Wikipedia -->
    <dependency>
      <groupId>de.fim.uni_passau.information_extraction.wikipedia</groupId>
      <artifactId>wiki-api</artifactId>
      <version>${wikipedia.version}</version>
    </dependency>

    <!-- Stanford NLP -->
    <dependency>
      <groupId>edu.stanford.nlp</groupId>
      <artifactId>stanford-corenlp</artifactId>
      <version>${stanford.version}</version>
    </dependency>
    <dependency>
      <groupId>edu.stanford.nlp</groupId>
      <artifactId>stanford-corenlp</artifactId>
      <version>${stanford.version}</version>
      <classifier>models</classifier>
    </dependency>

    <!-- Logging -->
    <dependency>
      <groupId>org.slf4j</groupId>
      <artifactId>slf4j-api</artifactId>
      <version>${slf4j.version}</version>
    </dependency>
    <dependency>
      <groupId>ch.qos.logback</groupId>
      <artifactId>logback-classic</artifactId>
      <version>${logback.version}</version>
      </dependency>
    <dependency>
      <groupId>ch.qos.logback</groupId>
      <artifactId>logback-core</artifactId>
      <version>${logback.version}</version>
    </dependency>

    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <version>${junit.version}</version>
      <scope>test</scope>
    </dependency>

  </dependencies>

  <!-- Building (run: "mvn exec:java") -->
  <build>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-compiler-plugin</artifactId>
        <version>3.5.1</version>
        <inherited>true</inherited>
        <configuration>
          <source>${jdk.version}</source>
          <target>${jdk.version}</target>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.codehaus.mojo</groupId>
        <artifactId>exec-maven-plugin</artifactId>
        <version>1.2.1</version>
        <configuration>
          <mainClass>de.fim.uni_passau.information_extraction.discourse_simplification.App</mainClass>
        </configuration>
      </plugin>
    </plugins>
  </build>

    <distributionManagement>
        <repository>
            <id>nlp-passau-releases</id>
            <name>Uni Passau Releases</name>
            <url>https://adler.fim.uni-passau.de/nexus/repository/maven-releases</url>
        </repository>
        <snapshotRepository>
            <id>nlp-passau-snapshots</id>
            <name>Uni Passau Snapshots</name>
            <url>https://adler.fim.uni-passau.de/nexus/repository/maven-snapshots</url>
        </snapshotRepository>
    </distributionManagement>

</project>
